# Uses of Interface
org.apache.commons.math3.fitting.leastsquares.LeastSquaresProblem.Evaluation

Packages that use LeastSquaresProblem.Evaluation
Package
Description
org.apache.commons.math3.fitting.leastsquares
This package provides algorithms that minimize the residuals between observations and model values.

## Uses of LeastSquaresProblem.Evaluation in org.apache.commons.math3.fitting.leastsquares

Subinterfaces of LeastSquaresProblem.Evaluation in org.apache.commons.math3.fitting.leastsquares
Modifier and Type
Interface
Description
`static interface`
`LeastSquaresOptimizer.Optimum`
The optimum found by the optimizer.
Classes in org.apache.commons.math3.fitting.leastsquares that implement LeastSquaresProblem.Evaluation
Modifier and Type
Class
Description
`class`
`AbstractEvaluation`
An implementation of `LeastSquaresProblem.Evaluation` that is designed for extension.
Methods in org.apache.commons.math3.fitting.leastsquares that return LeastSquaresProblem.Evaluation
Modifier and Type
Method
Description
`LeastSquaresProblem.Evaluation`
LeastSquaresAdapter.`evaluate(RealVector point)`
Evaluate the model at the specified point.
`LeastSquaresProblem.Evaluation`
LeastSquaresProblem.`evaluate(RealVector point)`
Evaluate the model at the specified point.
Methods in org.apache.commons.math3.fitting.leastsquares that return types with arguments of type LeastSquaresProblem.Evaluation
Modifier and Type
Method
Description
`static ConvergenceChecker<LeastSquaresProblem.Evaluation>`
LeastSquaresFactory.`evaluationChecker(ConvergenceChecker<PointVectorValuePair> checker)`
View a convergence checker specified for a `PointVectorValuePair` as one specified for an `LeastSquaresProblem.Evaluation`.
`ConvergenceChecker<LeastSquaresProblem.Evaluation>`
LeastSquaresAdapter.`getConvergenceChecker()`
Gets the convergence checker.
Methods in org.apache.commons.math3.fitting.leastsquares with parameters of type LeastSquaresProblem.Evaluation
Modifier and Type
Method
Description
`boolean`
EvaluationRmsChecker.`converged(int iteration, LeastSquaresProblem.Evaluation previous, LeastSquaresProblem.Evaluation current)`
Check if the optimization algorithm has converged.
Method parameters in org.apache.commons.math3.fitting.leastsquares with type arguments of type LeastSquaresProblem.Evaluation
Modifier and Type
Method
Description
`LeastSquaresBuilder`
LeastSquaresBuilder.`checker(ConvergenceChecker<LeastSquaresProblem.Evaluation> newChecker)`
Configure the convergence checker.
`static LeastSquaresProblem`
LeastSquaresFactory.`create(MultivariateVectorFunction model, MultivariateMatrixFunction jacobian, double[] observed, double[] start, RealMatrix weight, ConvergenceChecker<LeastSquaresProblem.Evaluation> checker, int maxEvaluations, int maxIterations)`
Create a `LeastSquaresProblem` from the given elements.
`static LeastSquaresProblem`
LeastSquaresFactory.`create(MultivariateJacobianFunction model, RealVector observed, RealVector start, RealMatrix weight, ConvergenceChecker<LeastSquaresProblem.Evaluation> checker, int maxEvaluations, int maxIterations)`
Create a `LeastSquaresProblem` from the given elements.
`static LeastSquaresProblem`
LeastSquaresFactory.`create(MultivariateJacobianFunction model, RealVector observed, RealVector start, RealMatrix weight, ConvergenceChecker<LeastSquaresProblem.Evaluation> checker, int maxEvaluations, int maxIterations, boolean lazyEvaluation, ParameterValidator paramValidator)`
Create a `LeastSquaresProblem` from the given elements.
`static LeastSquaresProblem`
LeastSquaresFactory.`create(MultivariateJacobianFunction model, RealVector observed, RealVector start, ConvergenceChecker<LeastSquaresProblem.Evaluation> checker, int maxEvaluations, int maxIterations)`
Create a `LeastSquaresProblem` from the given elements.